.content-section[data-section="rating"] .content-section-main {
  padding-top: 1.25rem;
}
@media (min-width: 900px) {
  .content-section[data-section="rating"] .content-section-main {
    padding-bottom: 70px;
    padding-top: 50px;
  }
}
.content-section[data-section="rating"] .rating {
  min-height: 828px;
  padding: 1.25rem 0 60px;
  width: 100%;
}
@media (min-width: 900px) {
  .content-section[data-section="rating"] .rating {
    border-radius: 15px;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 25px;
  }
}
.content-section[data-section="rating"] .rating {
  background: url("../backgrounds/page-bg-bottom.png") 50% no-repeat;
  background-size: cover;
}
.content-section[data-section="rating"] .rating-content {
  display: flex;
  flex-direction: column;
  width: 100%;
}
.content-section[data-section="rating"] .rating-content .rating-tabs {
  align-items: center;
  display: flex;
  gap: 10px;
  height: 80px;
  justify-content: center;
  width: 100%;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab {
  align-items: center;
  border-color: rgba(212, 209, 230, 0.1);
  border-radius: 10px;
  border-width: 1px;
  box-shadow: inset 0 0 21px 0 rgba(0, 0, 0, 0.69);
  cursor: pointer;
  display: flex;
  height: 38px;
  justify-content: center;
  padding-left: 20px;
  padding-right: 20px;
  position: relative;
  transition-duration: 0.3s;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab[data-status="inactive"] {
  --tw-bg-opacity: 1;
  background-color: rgb(65 52 94 / var(--tw-bg-opacity));
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab[data-status="inactive"]:hover {
  --tw-brightness: brightness(1.25);
  filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast)
    var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate)
    var(--tw-sepia) var(--tw-drop-shadow);
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab[data-status="active"] {
  --tw-bg-opacity: 1;
  background-color: rgb(107 52 145 / var(--tw-bg-opacity));
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab-text {
  position: relative;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab-text
  .text {
  font-family: var(--ff-primary), sans-serif;
  font-size: 14px;
  font-weight: 700;
  line-height: 14px;
  position: relative;
  text-transform: uppercase;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab-text
  .text.--cover {
  background-clip: text;
  -webkit-background-clip: text;
  background-image: linear-gradient(90deg, #c1c4e4, #ede8ff);
  position: relative;
  z-index: 20;
  -webkit-text-fill-color: transparent;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tabs
  .rating-tab-text
  .text.--shadow {
  left: 2px;
  position: absolute;
  text-wrap: nowrap;
  top: 5px;
  z-index: 10;
  --tw-text-opacity: 1;
  color: rgba(45, 18, 112, var(--tw-text-opacity));
}
.content-section[data-section="rating"] .rating-content .rating-tables {
  overflow-x: scroll;
  padding-bottom: 0.75rem;
  padding-left: 0.75rem;
  padding-right: 0.75rem;
  position: relative;
}
@media (min-width: 900px) {
  .content-section[data-section="rating"] .rating-content .rating-tables {
    overflow-x: visible;
    padding-bottom: 0;
    padding-left: 0;
    padding-right: 0;
  }
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table {
  display: none;
  min-width: 900px;
}
@media (min-width: 900px) {
  .content-section[data-section="rating"]
    .rating-content
    .rating-tables
    .rating-table {
    min-width: -moz-max-content;
    min-width: max-content;
  }
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  thead
  th:first-child {
  width: 56px;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  thead
  .clan-heading,
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  thead
  .class-heading {
  padding-left: 5px !important;
  padding-right: 5px !important;
  text-align: center !important;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  tbody
  tr
  .clan-cell,
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  tbody
  tr
  .class-cell {
  padding-left: 0 !important;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table
  tbody
  tr
  td:first-child {
  padding-left: 0 !important;
  text-align: center !important;
  --tw-text-opacity: 1 !important;
  color: rgb(169 131 223 / var(--tw-text-opacity)) !important;
  font-family: var(--ff-primary), sans-serif !important;
  font-weight: 400 !important;
}
.content-section[data-section="rating"]
  .rating-content
  .rating-tables
  .rating-table[data-status="active"] {
  animation: appear 0.3s ease-in-out;
  display: table;
}
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
